Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.buffer
Class LineElement

    java.lang.Object
      org.gjt.sp.jedit.buffer.LineElement

All Implemented Interfaces:
  javax.swing.text.Element

Deprecated. Used to implement backwards-compatibility with jEdit 3.2.2-style document model.

public class LineElement
extends java.lang.Object
implements javax.swing.text.Element

Since:
  jEdit 4.0pre1
Version:
  $Id: LineElement.java,v 1.2 2003/02/19 23:26:01 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`LineElement(Buffer buffer, int line)` Deprecated.

Method Summary
`javax.swing.text.AttributeSet` | `getAttributes()` Deprecated.
`javax.swing.text.Document` | `getDocument()` Deprecated.
`javax.swing.text.Element` | `getElement(int line)` Deprecated.
`int` | `getElementCount()` Deprecated.
`int` | `getElementIndex(int offset)` Deprecated.
`int` | `getEndOffset()` Deprecated.
`java.lang.String` | `getName()` Deprecated.
`javax.swing.text.Element` | `getParentElement()` Deprecated.
`int` | `getStartOffset()` Deprecated.
`boolean` | `isLeaf()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineElement

    public LineElement(Buffer buffer,
                       int line)

  Deprecated.

Method Detail

### getDocument

    public javax.swing.text.Document getDocument()

  Deprecated.
  Specified by:
    `getDocument` in interface `javax.swing.text.Element`

### getParentElement

    public javax.swing.text.Element getParentElement()

  Deprecated.
  Specified by:
    `getParentElement` in interface `javax.swing.text.Element`

### getName

    public java.lang.String getName()

  Deprecated.
  Specified by:
    `getName` in interface `javax.swing.text.Element`

### getAttributes

    public javax.swing.text.AttributeSet getAttributes()

  Deprecated.
  Specified by:
    `getAttributes` in interface `javax.swing.text.Element`

### getStartOffset

    public int getStartOffset()

  Deprecated.
  Specified by:
    `getStartOffset` in interface `javax.swing.text.Element`

### getEndOffset

    public int getEndOffset()

  Deprecated.
  Specified by:
    `getEndOffset` in interface `javax.swing.text.Element`

### getElementIndex

    public int getElementIndex(int offset)

  Deprecated.
  Specified by:
    `getElementIndex` in interface `javax.swing.text.Element`

### getElementCount

    public int getElementCount()

  Deprecated.
  Specified by:
    `getElementCount` in interface `javax.swing.text.Element`

### getElement

    public javax.swing.text.Element getElement(int line)

  Deprecated.
  Specified by:
    `getElement` in interface `javax.swing.text.Element`

### isLeaf

    public boolean isLeaf()

  Deprecated.
  Specified by:
    `isLeaf` in interface `javax.swing.text.Element`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD